DROP TABLE CRST_OE_SYSTEM_PARAMETERS_ALL;

CREATE TABLE CRST_OE_SYSTEM_PARAMETERS_ALL                                                                        
(                                                                                                            
  ORG_ID                        NUMBER,                                                
  CREATION_DATE                 DATE            NOT NULL,                                                    
  CREATED_BY                    NUMBER          NOT NULL,                                                    
  LAST_UPDATE_DATE              DATE            NOT NULL,                                                    
  LAST_UPDATED_BY               NUMBER          NOT NULL,                                                    
  LAST_UPDATE_LOGIN             NUMBER,                                                                      
  MASTER_ORGANIZATION_ID        NUMBER          NOT NULL,                                                    
  CONTEXT                       VARCHAR2(30 BYTE),                                                           
  ATTRIBUTE1                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE2                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE3                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE4                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE5                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE6                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE7                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE8                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE9                    VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE10                   VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE11                   VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE12                   VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE13                   VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE14                   VARCHAR2(150 BYTE),                                                          
  ATTRIBUTE15                   VARCHAR2(150 BYTE),                                                          
  CUSTOMER_RELATIONSHIPS_FLAG   VARCHAR2(1 BYTE),                                                            
  PROCESS_ORDERS_SORTED_BY      VARCHAR2(30 BYTE),                                                           
  OE_BALANCE_CONV_TYPE          VARCHAR2(30 BYTE),                                                           
  OE_BALANCE_CONV_DATE          VARCHAR2(30 BYTE),                                                           
  AR_BALANCE_CONV_TYPE          VARCHAR2(30 BYTE),                                                           
  AR_BALANCE_CONV_DATE          VARCHAR2(30 BYTE),                                                           
  CREDIT_HOLD_LEVEL_CODE        VARCHAR2(30 BYTE),                                                           
  AUDIT_TRAIL_ENABLE_FLAG       VARCHAR2(1 BYTE),                                                            
  COMPUTE_MARGIN_FLAG           VARCHAR2(1 BYTE),                                                            
  FREIGHT_RATING_ENABLED_FLAG   VARCHAR2(1 BYTE),                                                            
  FTE_SHIP_METHOD_ENABLED_FLAG  VARCHAR2(1 BYTE)                                                             
);
